﻿<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="Dashboard">
	<meta name="keyword" content="">
	<title>TAGart</title>

	<!-- Favicons -->
	<link href="~/image/favicon.png" rel="icon">
	<link href="~/image/apple-touch-icon.png" rel="apple-touch-icon">

	<!-- Bootstrap core CSS -->
	@*<link href="~/theme/lib/bootstrap/css/bootstrap.css" rel="stylesheet" />*@

	<!--external css-->
	<link href="~/theme/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />

	<!-- Custom styles for this template -->
	<link href="~/theme/css/style.css" rel="stylesheet" />

	<link href="~/theme/css/style-responsive.css" rel="stylesheet" />
	<style>
		/*.container {
			padding-top: 29px !important;
		}*/
	</style>
</head>

<body>
<!-- **********************************************************************************************************************************************************
MAIN CONTENT
*********************************************************************************************************************************************************** -->
<div id="pageload" style="display:none; width: 100%;height: 100%;top: 0;position: fixed;z-index: 99999;padding-left: 50%; background-color:rgba(0, 0, 0, 0.4); padding-top: 15%;padding-left: 35%;">
    @*<div class="loader"> </div>*@

    <img style="width: 25%;" src="~/image/loading_1.gif" />
</div>    

<div id="login-page">
		<div class="container">
			<form class="form-login">
				<h2 class="form-login-heading">sign in now</h2>
				<div class="login-wrap">
					<input type="text" id="UserId_txt" class="form-control" maxlength="50" placeholder="User ID" autofocus>
					<br>
					<input type="password" id="Password_txt" class="form-control" maxlength="50" placeholder="Password">
					<label class="checkbox" style="margin-left:20px">
						<input type="checkbox" value="remember-me" id="remember"> Remember me
						<span class="pull-right" style="margin-right: 10px !important">
							<a data-toggle="modal" href="login.html#myModal"> Forgot Password?</a>
						</span>
					</label>
					<button class="btn btn-theme btn-block" onclick="UserLogin();" type="button"><i class="fa fa-lock"></i> SIGN IN</button>
					<hr>
					<div class="login-social-link">

						<p id="invalidEmail" class="field-validation-error" style="display:none;color:red">Please enter email address</p>
						<p id="invalidPassword" class="field-validation-error" style="display:none;color:red">Please enter password</p>
						<p id="invalidLogin" class="field-validation-error" style="display:none;color:red">Invalid email and password</p>
						<p id="invalidEmailTo" class="field-validation-error" style="display:none;color:red">Please enter valid Email address.</p>

						@*<button class="btn btn-facebook" type="submit"><i class="fa fa-facebook"></i> Facebook</button>
							<button class="btn btn-twitter" type="submit"><i class="fa fa-twitter"></i> Twitter</button>*@
					</div>
					@*<div class="registration">
							Don't have an account yet?<br />
							<a class="" href="#">
								Create an account
							</a>
						</div>*@
				</div>
				<!-- Modal -->
				<div aria-hidden="true" aria-labelledby="myModalLabel" role="dialog" tabindex="-1" id="myModal" class="modal fade">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
								<h4 class="modal-title">Forgot Password ?</h4>
							</div>
							<div class="modal-body">
								<p>Enter your e-mail address below to reset your password.</p>
								<input id="Email_txt" type="text" name="email" maxlength="125" placeholder="Email" autocomplete="off" class="form-control placeholder-no-fix"><br />
								<span id="invalidEmailToForgotPass2" class="field-validation-error" style="display:none;color:red">Email address not found.</span><br />
								<span id="invalidEmailToForgotPass" class="field-validation-error" style="display:none;color:red">Please enter valid Email address.</span> <br />
							</div>
							<div class="modal-footer">
								<button data-dismiss="modal" class="btn btn-default" type="button">Cancel</button>
								<button class="btn btn-theme" type="button" onclick="return FindAccount()">Submit</button>
							</div>
							<br />
							<div class="login-social-link">
							</div>
						</div>
					</div>
				</div>
				<!-- modal -->
			</form>
		</div>
	</div>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<!-- js placed at the end of the document so the pages load faster -->
	<script src="~/theme/lib/jquery/jquery.min.js"></script>
	<script src="~/theme/lib/jquery/jquery.js"></script>
	<script src="~/Scripts/CommonFunction.js"></script>
	<!--BACKSTRETCH-->
	<!-- You can use an image of whatever size. This script will stretch to fit in any screen size.-->

	<script src="~/theme/lib/jquery.backstretch.min.js"></script>
	<script>
		$.backstretch("../image/login-bg.jpg", {
			speed: 500
		});
	</script>
</body>
</html>

<script>
    $(document).ready(function () {

                if (localStorage.chkbx && localStorage.chkbx != '') {
                    $('#remember').attr('checked', 'checked');
                    $('#UserId_txt').val(localStorage.usrname);
                    $('#Password_txt').val(localStorage.pass);
                } else {
                    $('#remember').removeAttr('checked');
                    $('#UserId_txt').val('');
                    $('#Password_txt').val('');
                }

                $('#remember').click(function() {

                    if ($('#remember').is(':checked')) {
                        localStorage.usrname = $('#UserId_txt').val();
                        localStorage.pass = $('#Password_txt').val();
                        localStorage.chkbx = $('#remember').val();
                    } else {
                        localStorage.usrname = '';
                        localStorage.pass = '';
                        localStorage.chkbx = '';
                    }
                });
            });

    $('#Password_txt').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){
        UserLogin();
    }
});

    function UserLogin() {
        debugger;
        $('#invalidEmail').hide();
        $('#invalidPassword').hide();
        $('#invalidLogin').hide();
        var usr_id = (CheckValueNullOrNOT($('#UserId_txt').val()));
        var UserPassword = (CheckValueNullOrNOT($('#Password_txt').val()));

        if (!usr_id) {

            $('#invalidEmail').show();
            if (!UserPassword) {

                $('#invalidPassword').show();
                return;
            } else {
                $('#invalidPassword').hide();

            }

            $('#UserId_txt').val(''); return;
        } else {
            if (!CheckEmail($('#UserId_txt').val())) {
                $('#invalidEmailTo').show(); return;
            } else {
                $('#invalidEmailTo').hide();
            }
            $('#invalidEmail').hide();

        }

        if (!UserPassword) {

            $('#invalidPassword').show();
            return;
        } else {
            $('#invalidPassword').hide();

        }

        if (usr_id && UserPassword) {

            try {
                $.ajax({
                    type: "POST",
                    async: false,
                    dataType: "json",
                    url: '@Url.Action("UserLogin", "Login",new { area = ""})',
                    data: { UserID: $('#UserId_txt').val().trim(), UserPassword: $('#Password_txt').val().trim() },
                    success: function (data) {
                        if (data.status == "success") {
                            $('#pageload').show();
                            debugger;
                            var redirectUrl = '@Url.Action("Index", "Dashboard", new { area="Admin"})';

                            window.location.href = redirectUrl;

                        }
                        else {
                            $('#invalidLogin').show();
                        }
                    }
                });
            } catch (e) {
                alert(e)
            }
        }
    }

      $('#Email_txt').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){
        FindAccount();
    }
});

    function FindAccount() {
        Email = $('#Email_txt').val().trim();
        if (!Email) {
            $('#invalidEmailToForgotPass').show();
            $('#Email').val(''); return;
        } else {
            if (!CheckEmail(Email)) {
                $('#invalidEmailToForgotPass').show(); return;
            } else {
                $('#invalidEmailToForgotPass').hide();
            }

        }

        if (Email) {
            try {
                $.ajax({
                    type: "POST",
                    async: false,
                    dataType: "json",
                    url: '@Url.Action("FindAccount", "Login",new { area = ""})',
                    data: { Email: Email },
                    success: function (data) {
                        debugger;
                        if (data.data_Email == 'fail') {
                            $('#invalidEmailToForgotPass').show();
                            $('#invalidEmailToForgotPass2').hide();
                            return;
                        } else if (data.data_Email == "NotFound") {
                            $('#invalidEmailToForgotPass').hide();
                            $('#invalidEmailToForgotPass2').show();

                        } else {
                            $('#invalidEmailToForgotPass').hide();
                            $('#invalidEmailToForgotPass2').hide();

                            $('#myModal').modal('hide');
                            $('#Email').val('');
                            alert('Password reset link sent to your email. check your email');
                        }
                    }
                });
            } catch (e) {
                alert(e)
            }
        }
    }
</script>